Name:           epet-release-stream
Version:        8
Release:        1%{dist}
Summary:        EPET Stream repository configuration

Group:          System Environment/Base
License:        GPLv2

URL:            https://copr.fedorainfracloud.org/coprs/mon/epet-stream/
Source0:        https://copr-be.cloud.fedoraproject.org/results/mon/epet-stream/pubkey.gpg
Source1:        epet-stream.repo

BuildArch:     noarch

Requires:      epel-release

%description
This package contains the EPET Stream repository
GPG key as well as configuration for yum.

%prep
%setup -q  -c -T
install -pm 644 %{SOURCE0} .
install -pm 644 %{SOURCE1} .

%build

%install
rm -rf $RPM_BUILD_ROOT

#GPG Key
install -Dpm 644 %{SOURCE0} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-epet-stream-%{version}

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config(noreplace) /etc/yum.repos.d/*
/etc/pki/rpm-gpg/*

%changelog

